> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fermion.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get video from video library 

> Retrieve information about a video inside your video library using filter search terms

Authentication with the "FERMION-API-KEY" header is required to use this endpoint.

Rate limit: Maximum 60 requests in a window of 1m.



## OpenAPI

````yaml https://backend.codedamn.com/webhook/fermion-backend-openapi.yaml post /public/get-video-library
openapi: 3.0.0
info:
  version: 1.0.0
  title: Fermion Backend API
  description: Documentation for interacting with the Fermion API
  contact:
    name: Fermion Support
    email: support@codedamn.com
servers:
  - url: https://backend.codedamn.com/api
    description: Fermion primary backend server
security: []
externalDocs:
  description: Fermion Docs
  url: https://docs.fermion.app
paths:
  /public/get-video-library:
    post:
      tags:
        - Video
      summary: 'Get video from video library '
      description: >-
        Retrieve information about a video inside your video library using
        filter search terms


        Authentication with the "FERMION-API-KEY" header is required to use this
        endpoint.


        Rate limit: Maximum 60 requests in a window of 1m.
      requestBody:
        description: API Request Body
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: array
                  items:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          filterTerm:
                            type: string
                            description: Filter by video title
                          pageNumber:
                            type: integer
                            minimum: 1
                            description: Page number to use
                          folderPath:
                            anyOf:
                              - type: string
                              - nullable: true
                              - nullable: true
                            description: Path of folder to look inside
                        required:
                          - filterTerm
                          - pageNumber
                          - folderPath
                    required:
                      - data
              required:
                - data
      responses:
        '200':
          description: API Response Body
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    output:
                      anyOf:
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - ok
                            data:
                              type: object
                              properties:
                                totalResults:
                                  type: integer
                                  minimum: 0
                                pageSize:
                                  type: integer
                                  minimum: 0
                                videoData:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      createdAt:
                                        type: string
                                        format: date-time
                                      status:
                                        type: string
                                        enum:
                                          - CcFailed
                                          - CcProcessing
                                          - Deleted
                                          - Failed
                                          - Processing
                                          - Ready
                                          - ReadyWaitingForCc
                                          - ReadyWithCc
                                          - Uploaded
                                          - Uploading
                                      videoId:
                                        type: string
                                      videoTitle:
                                        type: string
                                    required:
                                      - createdAt
                                      - status
                                      - videoId
                                      - videoTitle
                                absoluteFolderPaths:
                                  type: array
                                  items:
                                    type: string
                              required:
                                - totalResults
                                - pageSize
                                - videoData
                                - absoluteFolderPaths
                          required:
                            - status
                            - data
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - error
                            errorMessage:
                              type: string
                          required:
                            - status
                            - errorMessage
                  required:
                    - output
      security:
        - FERMION-API-KEY: []
components:
  securitySchemes:
    FERMION-API-KEY:
      name: FERMION-API-KEY
      type: apiKey
      in: header

````